---
title: "List occurrences"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reporter

`GET /v2/reporter/report-schedules/{id}/occurrences`

## Path parameters

- `id` (`reporter-report-schedules-list-occurrences.path.id`; string, required)
  - format `uuid`

## Query parameters

- `limit` (`reporter-report-schedules-list-occurrences.query.limit`; integer, optional)
  - min 1; max 100; default `20`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/reporter/report-schedules/<id>/occurrences'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reporter/report-schedules/<id>/occurrences';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reporter/report-schedules/<id>/occurrences"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "scheduleId": "b7b4f318-018f-4d71-ac1a-f61e4bfaefbe",
      "trigger": "scheduled",
      "periodStart": "string",
      "periodEnd": "string",
      "scheduledFor": "2019-08-24T14:15:22Z",
      "reportRunId": "f4a11d1c-8da3-4ee0-abdd-af00e260f7bd",
      "reportRunStatus": "queued",
      "status": "queued",
      "outputUri": "string",
      "publishedReportId": "64593163-21d4-4e74-943d-7ee8399ac5ef",
      "error": "string",
      "distributionStatus": "not_requested",
      "deliveries": [
        {
          "channel": "viewer_group",
          "target": "string",
          "status": "sent",
          "detail": "string",
          "recordedAt": "2019-08-24T14:15:22Z"
        }
      ],
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`reporter-report-schedules-list-occurrences.response.200.data`; array<object>, required)
  - `id` (`reporter-report-schedules-list-occurrences.response.200.data.id`; string, required)
    - format `uuid`
  - `scheduleId` (`reporter-report-schedules-list-occurrences.response.200.data.scheduleId`; string, required)
    - format `uuid`
  - `trigger` (`reporter-report-schedules-list-occurrences.response.200.data.trigger`; string, required)
    - one of `"scheduled"`, `"manual"`
  - `periodStart` (`reporter-report-schedules-list-occurrences.response.200.data.periodStart`; string, required)
    - pattern `^\d{4}-\d{2}-\d{2}$`
  - `periodEnd` (`reporter-report-schedules-list-occurrences.response.200.data.periodEnd`; string, required)
    - pattern `^\d{4}-\d{2}-\d{2}$`
  - `scheduledFor` (`reporter-report-schedules-list-occurrences.response.200.data.scheduledFor`; string, required)
    - format `date-time`
  - `reportRunId` (`reporter-report-schedules-list-occurrences.response.200.data.reportRunId`; string, required, nullable)
    - format `uuid`
  - `reportRunStatus` (`reporter-report-schedules-list-occurrences.response.200.data.reportRunStatus`; string, required, nullable)
    - one of `"queued"`, `"running"`, `"overdue"`, `"succeeded"`, `"failed"`
  - `status` (`reporter-report-schedules-list-occurrences.response.200.data.status`; string, required)
    - one of `"queued"`, `"running"`, `"succeeded"`, `"failed"`
  - `outputUri` (`reporter-report-schedules-list-occurrences.response.200.data.outputUri`; string, required, nullable)
  - `publishedReportId` (`reporter-report-schedules-list-occurrences.response.200.data.publishedReportId`; string, required, nullable)
    - format `uuid`
  - `error` (`reporter-report-schedules-list-occurrences.response.200.data.error`; string, required, nullable)
  - `distributionStatus` (`reporter-report-schedules-list-occurrences.response.200.data.distributionStatus`; string, required)
    - one of `"not_requested"`, `"pending"`, `"sent"`, `"partial"`, `"failed"`
  - `deliveries` (`reporter-report-schedules-list-occurrences.response.200.data.deliveries`; array<object>, required)
    - `channel` (`reporter-report-schedules-list-occurrences.response.200.data.deliveries.channel`; string, required)
      - one of `"viewer_group"`, `"email"`
    - `target` (`reporter-report-schedules-list-occurrences.response.200.data.deliveries.target`; string, required)
      - minLength 1
    - `status` (`reporter-report-schedules-list-occurrences.response.200.data.deliveries.status`; string, required)
      - one of `"sent"`, `"failed"`
    - `detail` (`reporter-report-schedules-list-occurrences.response.200.data.deliveries.detail`; string, required, nullable)
    - `recordedAt` (`reporter-report-schedules-list-occurrences.response.200.data.deliveries.recordedAt`; string, required)
      - format `date-time`
  - `createdAt` (`reporter-report-schedules-list-occurrences.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`reporter-report-schedules-list-occurrences.response.200.data.updatedAt`; string, required)
    - format `date-time`
- `meta` (`reporter-report-schedules-list-occurrences.response.200.meta`; object, required)
  - `total` (`reporter-report-schedules-list-occurrences.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`reporter-report-schedules-list-occurrences.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`reporter-report-schedules-list-occurrences.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`reporter-report-schedules-list-occurrences.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`reporter-report-schedules-list-occurrences.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`reporter-report-schedules-list-occurrences.response.200.meta.totalPages`; number, optional) — Total number of pages

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-schedules-list-occurrences.response.400.error`; object, required)
  - `code` (`reporter-report-schedules-list-occurrences.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-schedules-list-occurrences.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-schedules-list-occurrences.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-schedules-list-occurrences.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-schedules-list-occurrences.response.401.error`; object, required)
  - `code` (`reporter-report-schedules-list-occurrences.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-schedules-list-occurrences.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-schedules-list-occurrences.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-schedules-list-occurrences.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-schedules-list-occurrences.response.403.error`; object, required)
  - `code` (`reporter-report-schedules-list-occurrences.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-schedules-list-occurrences.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-schedules-list-occurrences.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-schedules-list-occurrences.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-schedules-list-occurrences.response.404.error`; object, required)
  - `code` (`reporter-report-schedules-list-occurrences.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-schedules-list-occurrences.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-schedules-list-occurrences.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-schedules-list-occurrences.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-schedules-list-occurrences.response.500.error`; object, required)
  - `code` (`reporter-report-schedules-list-occurrences.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-schedules-list-occurrences.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-schedules-list-occurrences.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-schedules-list-occurrences.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/reporter-report-schedules-list-occurrences/index.md
